<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" tests="3" skipped="0" failures="0" errors="0" timestamp="2026-07-06T11:20:23.536Z" hostname="devserver3.ustadmobile.com" time="8.862">
  <properties/>
  <testcase name="givenOpdsFeed_whenLoadOpdsFeed_thenFlowWillLoadIt[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="4.566"/>
  <testcase name="givenOpdsFeedLoaded_whenLoadedAgain_thenDataIsLoadedAndNetworkResponseIsNotModified[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.139"/>
  <testcase name="givenOpdsPublication_whenLoadedThenWillEmitFlow[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.157"/>
  <system-out><![CDATA[port = 41905
15:20:23,574 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.5.18
15:20:23,575 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3568f9d2 - No custom configurators were discovered as a service.
15:20:23,575 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3568f9d2 - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
15:20:23,576 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3568f9d2 - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
15:20:23,579 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
15:20:23,579 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
15:20:23,584 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3568f9d2 - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 3 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
15:20:23,584 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3568f9d2 - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
15:20:23,584 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3568f9d2 - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
15:20:23,585 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
15:20:23,587 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml]
15:20:23,587 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@71c27ee8 - Resource [logback.xml] occurs multiple times on the classpath.
15:20:23,587 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@71c27ee8 - Resource [logback.xml] occurs at [jar:file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml]
15:20:23,587 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@71c27ee8 - Resource [logback.xml] occurs at [file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-datalayer-repository/build/processedResources/jvm/test/logback.xml]
15:20:23,591 |-INFO in ConfigurationWatchList(mainURL=jar:file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml, fileWatchList={}, urlWatchList=[}) - URL [jar:file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml] is not of type file
15:20:23,641 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@78383390 - value "./log/" substituted for "${logs_dir:-./log/}"
15:20:23,641 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
15:20:23,641 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
15:20:23,645 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@78383390 - value "./log//respect-server.log" substituted for "${LOG_DIR}/respect-server.log"
15:20:23,647 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@78383390 - value "./log//respect-server.%d{yyyy-MM-dd}.%i.log" substituted for "${LOG_DIR}/respect-server.%d{yyyy-MM-dd}.%i.log"
15:20:23,651 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1792227359 - No compression will be used
15:20:23,658 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1792227359 - Will use the pattern ./log//respect-server.%d{yyyy-MM-dd}.%i.log for the active file
15:20:23,658 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@53dbe163 - SizeAndTimeBasedFNATP class was renamed as SizeAndTimeBasedFileNamingAndTriggeringPolicy.
15:20:23,659 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@53dbe163 - The date pattern is 'yyyy-MM-dd' from file name pattern './log//respect-server.%d{yyyy-MM-dd}.%i.log'.
15:20:23,659 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@53dbe163 - Roll-over at midnight.
15:20:23,660 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@53dbe163 - Setting initial period to 2026-07-06T04:23:56.961Z
15:20:23,660 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@53dbe163 - Direct use of either SizeAndTimeBasedFNATP or SizeAndTimeBasedFileNamingAndTriggeringPolicy 
15:20:23,660 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@53dbe163 - is deprecated. Please use SizeAndTimeBasedRollingPolicy instead.
15:20:23,660 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@53dbe163 - For more information see https://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
15:20:23,662 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
15:20:23,675 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//respect-server.log
15:20:23,677 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Setting currentFileLength to 60344 for ./log/respect-server.log
15:20:23,677 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//respect-server.log]
15:20:23,678 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
15:20:23,678 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
15:20:23,678 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
15:20:23,678 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
15:20:23,678 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@db57326 - End of configuration.
15:20:23,679 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@34a875b3 - Registering current configuration as safe fallback point
15:20:23,679 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3568f9d2 - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 95 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[Mockito is currently self-attaching to enable the inline-mock-maker. This will no longer work in future releases of the JDK. Please add Mockito as an agent to your build as described in Mockito's documentation: https://javadoc.io/doc/org.mockito/mockito-core/latest/org.mockito/org/mockito/Mockito.html#0.3
WARNING: A Java agent has been loaded dynamically (/home/jenkins/.gradle/caches/modules-2/files-2.1/net.bytebuddy/byte-buddy-agent/1.15.11/a38b16385e867f59a641330f0362ebe742788ed8/byte-buddy-agent-1.15.11.jar)
WARNING: If a serviceability tool is in use, please run with -XX:+EnableDynamicAgentLoading to hide this warning
WARNING: If a serviceability tool is not in use, please run with -Djdk.instrument.traceUsage for more information
WARNING: Dynamic loading of agents will be disallowed by default in a future release
]]></system-err>
</testsuite>
